Subject: Re: [PATCH net-next 0/2] Ease nsid allocation

From: Guillaume Nault <[email-masked]>
Date: Thu, 3 Oct 2019 18:19:40 +0200

On Wed, Oct 02, 2019 at 10:46:03AM +0200, Nicolas Dichtel wrote:
> Le 02/10/2019 à 03:20, David Miller a écrit :
> > From: Nicolas Dichtel <[email-masked]>
> > Date: Mon, 30 Sep 2019 18:02:12 +0200
> > 
> >> The goal of the series is to ease nsid allocation from userland.
> >> The first patch is a preparation work and the second enables to receive the
> >> new nsid in the answer to RTM_NEWNSID.
> > 
> > The new reply message could break existing apps.
> > 
> > If an app only performs netnsid operations, and fills up the receive
> > queue because it isn't reading these new replies (it had no reason to,
> > they didn't exist previously), operations will start failing that
> > would not fail previously because the receive queue is full.
> Yes I see the problem. I was wondering if this was acceptable because the nl ack
> is sent at the end. But nl ack are optional :/
> 
> > 
> > Given this, I don't see how we can make the change.
> > 
> Is a new flag attribute ok to turn on this reply?
> 
Why not using the existing NLM_F_ECHO mechanism?

IIUC, if rtnl_net_notifyid() did pass the proper nlmsghdr and portid to
rtnl_notify(), the later would automatically notify the caller with
updated information if the original request had the NLM_F_ECHO flag.